[Stable Update] 2017-08-10 - Kernels, LibreOffice, Systemd, VirtualBox

update
stable

#1

Hi community,

since Philip and Bernhard are currently working on a new side project I’ll help them out as release manager for a while.

So for my first update-pack we have almost updated all our kernel series. Some might have urged for the new LibreOffice v5.4. Calc now includes support for pivot charts, which use data from pivot tables. When the table is updated, the chart is automatically updated as well. Also systemd v234 brings new features which you might find here. With Virtualbox v5.1.26 a lot of audio fixes got added.

Please report back and give us feedback for given changes made to our repositories.

kind regards

Lisa McCoy
Manjaro Release Manager


Current supported Kernels

  • linux310 3.10.106
  • linux312 3.12.74 [EOL]
  • linux316 3.16.45
  • linux318 3.18.63 [EOL]
  • linux41 4.1.42
  • linux44 4.4.79
  • linux48 4.8.17 [EOL]
  • linux49 4.9.40
  • linux410 4.10.17 [EOL]
  • linux411 4.11.12 [EOL]
  • linux412 4.12.4
  • linux413 4.13-rc3
  • linux-RT-LTS 4.9.40_rt30 (x86_64)
  • linux-RT 4.11.12_rt9 (x86_64)

Package Updates (Sat Aug 5 09:10:42 CEST 2017)

  • stable community i686: 634 new and 608 removed package(s)
  • stable community x86_64: 670 new and 644 removed package(s)
  • stable core i686: 29 new and 29 removed package(s)
  • stable core x86_64: 31 new and 31 removed package(s)
  • stable extra i686: 495 new and 494 removed package(s)
  • stable extra x86_64: 511 new and 510 removed package(s)
  • stable multilib x86_64: 32 new and 31 removed package(s)

A detailed list of package changes can be found here.


  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


Dropbox version too old
Dropbox version too old
[SOLVED] Pamac "stuck" on preparing
#2

Just one thing. At the end of the update process, pamac hanged, although when I clicked on “Details”, it showed the update was successful. Probably due to the fact that pamac is itself updated I guess.


#3

Update went well, as always. Also Virtualbox was updated. I had to update the extensionpack manually and as it is always with VB when doing so you need to type your password in one of the windows which pops up. Immediately another pops up and gets focus so your typing the password but it does not land in the correct window on the correct place.
I know that’s not Manjaro, it is Virtualbox.

What I can tell after a reboot is that things work, for as far as I have opened programs.

Thanks.


#4

I experience the same thing. Can I quit pamac while it hangs without breaking something?
Details say that everything was successful.

(Gnome, not by terminal but through GUI)


#5

I was waiting for this one !
KDE version, everything went fine, thanks !


#6

mine was successful and no problems with pacman. did the update via terminal.xfce rocks!!!


#7

No issues so far updating and rebooting KDE edition on 2 different machines with CLI. THANKS !


#8

Update went fine on KDE x86_64, however I had to replace the PCSX2 1.4.0 audio plugin /usr/lib32/pcsx2/libspu2x-2.0.0.so
with my self-compiled as audio has static and crackling noise with the one in the repository package no matter what settings I use.


#9

This was the only issue that I had with the update as well. Otherwise everything was fine concerning the update on my end: Manjaro Openbox 64bit (aka Mabox Linux 64bit).

Thanks, Manjaro Team!


#10

Hi @Ste74 ,

Following message really annoys me in GTK applications (chromium, uget and etc.). I use Manjaro Gnome edition. How do I prevent this?

Gtk-Message: Failed to load module "unity-gtk-module"
Gtk-Message: Failed to load module “unity-gtk-module”


#11

Same issue, checked “Details” and rebooted with no ill effects.


#12

Everything went smooth on Manjaro Gnome edition. However WiFi scan seems slow, it take some time to detect my router.

FYI I’m using TP-LINK USB WiFi and I had to unplug and re-plug multiple times!


#13

Hi , what theme you use ? At the moment i use adapta-breath version and son’t see this error …


#14

Same, pamac stuck at “preparing,” haven’t rebooted yet.


#15

Hey thank you so much, pgadmin4 works perfectly now :yum:


#16

@Ste74, Adapta-Eta-Breath, it doesn’t matter which theme is selected:


#17



I can’t reproduce … btw i have disable the unity module in adapta theme during compiling … what release version you use ?

Edit: have you installed a extra pkg related on ubuntu universe ? seem you have installed a pkg of unity …


#18

Same here. A window showed avahi ? errors, I clicked on Details and this stated the transaction completed successfully.

Manjaro Deepin.


#19

No problems on KDE, thanks! Would love to hear details about the mysterious side project.


#20

Fixed, Thanks a lot. You are the best.:wink: